Skip to main content
GET
/
apply
/
person_application
List Person Applications
curl --request GET \
  --url https://api.treasuryprime.com/apply/person_application \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.treasuryprime.com/apply/person_application"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.treasuryprime.com/apply/person_application', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "bankdata": {
        "ip_address": "127.0.0.40"
      },
      "citizenship": "US",
      "created_at": "2019-03-02T11:55:14Z",
      "date_of_birth": "1732-02-22",
      "email_address": "gwash@whitehouse.gov",
      "first_name": "George",
      "id": "apsn_01d5w7mvmwvy",
      "identification_number": null,
      "identification_number_type": null,
      "last_name": "Washington",
      "middle_name": null,
      "occupation": "General",
      "person_id": null,
      "phone_number": "2025551111",
      "physical_address": {
        "city": "Washington",
        "country": "US",
        "postal_code": "20500",
        "state": "DC",
        "street_line_1": "1600 Pennsylvania Ave",
        "street_line_2": null
      },
      "updated_at": "2019-03-02T11:55:14Z",
      "userdata": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

person_id
string

ID of the person object created as a result of a successful account application. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size person-application elements, starting after the person-application described by page_cursor. If no more person-applications are available, the resulting list will be empty.

data
object[]